Loading...
Searching...
No Matches
Ogre::Terrain::LayerInstance Struct Reference

An instance of a layer, with specific texture names. More...

`#include <OgreTerrain.h>`

## Public Member Functions

| LayerInstance ()

## Public Attributes

StringVector | textureNames
| List of texture names to import; must match with TerrainLayerDeclaration.
Real | worldSize
| The world size of the texture to be applied in this layer.

## Detailed Description

An instance of a layer, with specific texture names.

## Constructor & Destructor Documentation

## LayerInstance()

Ogre::Terrain::LayerInstance::LayerInstance | ( |  | ) |

inline

References worldSize.

## Member Data Documentation

## worldSize

Real Ogre::Terrain::LayerInstance::worldSize

The world size of the texture to be applied in this layer.

Referenced by LayerInstance().

## textureNames

StringVector Ogre::Terrain::LayerInstance::textureNames

List of texture names to import; must match with TerrainLayerDeclaration.

The documentation for this struct was generated from the following file:

- OgreTerrain.h